Crazy Eddies GUI System: CEGUI::ResourceEventSet Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
CEGUI::ResourceEventSet Class Reference

implementation class to gather EventSet parts for all template instances. More...

Inherits CEGUI::EventSet.

Inherited by CEGUI::NamedXMLResourceManager< T, U >, CEGUI::NamedXMLResourceManager< Font, Font_xmlHandler >, CEGUI::NamedXMLResourceManager< Imageset, Imageset_xmlHandler >, and CEGUI::NamedXMLResourceManager< Scheme, Scheme_xmlHandler >.

Collaboration diagram for CEGUI::ResourceEventSet:
[legend]

List of all members.

## Static Public Attributes
static const String | EventNamespace
| Namespace name for all resource managers.
static const String | EventResourceCreated
static const String | EventResourceDestroyed
static const String | EventResourceReplaced

## Detailed Description

implementation class to gather EventSet parts for all template instances.

## Member Data Documentation

const String CEGUI::ResourceEventSet::EventResourceCreated`[static]`

Name of event fired when a resource is created by this manager. Handlers are passed a const ResourceEventArgs reference with ResourceEventArgs::resourceType String set to the type of resource that the event is related to, and ResourceEventArgs::resourceName String set to the name of the resource that the event is related to.

const String CEGUI::ResourceEventSet::EventResourceDestroyed`[static]`

Name of event fired when a resource is destroyed by this manager. Handlers are passed a const ResourceEventArgs reference with ResourceEventArgs::resourceType String set to the type of resource that the event is related to, and ResourceEventArgs::resourceName String set to the name of the resource that the event is related to.

const String CEGUI::ResourceEventSet::EventResourceReplaced`[static]`

Name of event fired when a resource is replaced by this manager. Handlers are passed a const ResourceEventArgs reference with ResourceEventArgs::resourceType String set to the type of resource that the event is related to, and ResourceEventArgs::resourceName String set to the name of the resource that the event is related to.